%define name t1lib
%define version 1.0.1
%define release 4mdk

Summary: Type 1 font rasterizer
Name: %{name}
Version: %{version}
Release: %{release}
URL: http://www.neuroinformatik.ruhr-uni-bochum.de/ini/PEOPLE/rmz/t1lib/t1lib.html
Source: ftp://ftp.neuroinformatik.ruhr-uni-bochum.de/pub/software/t1lib-%{version}.tar.bz2
Patch: t1lib-1.0.1-docdir.patch.bz2
Group: System/Libraries
BuildRequires: XFree86-devel xpm-devel
Copyright: LGPL
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: XFree86-devel, tetex, tetex-dvips, tetex-latex

%description
T1lib is a library for generating character and string-glyphs from
Adobe Type 1 fonts under UNIX. T1lib uses most of the code of the X11
rasterizer donated by IBM to the X11-project. But some disadvantages
of the rasterizer being included in X11 have been eliminated.
T1lib also includes a support for antialiasing.

%package devel
Summary: Type 1 font rasterizer
Group: Development/C
Requires: %{name} = %{version}

%description devel
Static libraries and header files required for compiling packages
needing the t1lib.

%prep
%setup -q -n T1-%{version}
%patch -p 1 -b .docdir

%build

%configure

%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall

rm -rf $RPM_BUILD_ROOT%{_datadir}/t1lib/doc
cd doc
dvips -P www t1lib_doc
gzip -9f t1lib_doc.ps

%ifarch alpha
(cd $RPM_BUILD_ROOT%{_libdir}
ln -sf libt1.so libt1.so.0
)
%endif

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{_datadir}/t1lib
%config %{_datadir}/t1lib/t1lib.config
%doc Changes LGPL README.t1python README.t1lib-1.0.1
%attr(755,root,root) %{_bindir}/*
%attr(755,root,root) %{_libdir}/libt1*.so.*
%{_libdir}/*.so

%files devel
%defattr(-,root,root)
%doc doc/t1lib_doc.ps.gz
%{_includedir}/*
%{_libdir}/*.a
%{_libdir}/*.la

%changelog
* Mon Aug 07 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.1-4mdk
- automatically added BuildRequires

* Fri Jul 28 2000 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.1-3mdk
- BM + macroszification

* Tue May 16 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-2mdk
- Move .so from devel to package and add some links for alpha.

* Sat Apr 01 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0.1-1mdk
- updated to version 1.0.1.
- moved .so file to devel package.
- exchanged package group between main and -devel packages.

* Thu Mar 23 2000 Daouda Lo <daouda@mandrakesoft.com> 0.9.2-3mdk
- fix group.

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force.

* Sat Oct 30 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to version 0.9.2.

* Thu Aug 12 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- added PostScript documentation.
- split into main and devel package.

* Sun Aug 1 1999 Richard D. Jackson <richardj@1gig.net>
- first release of t1lib-0.9.1
